Package org.eclipse.jface.text

# Class ConfigurableLineTracker

java.lang.Object
org.eclipse.jface.text.AbstractLineTracker
org.eclipse.jface.text.ConfigurableLineTracker

All Implemented Interfaces:
  `ILineTracker`, `ILineTrackerExtension`

public class ConfigurableLineTracker extends AbstractLineTracker
Standard implementation of a generic `ILineTracker`.

The line tracker can be configured with the set of legal line delimiters. Line delimiters are unconstrained. The line delimiters are used to compute the tracker's line structure. In the case of overlapping line delimiters, the longest line delimiter is given precedence of the shorter ones.

This class is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.text.AbstractLineTracker

`AbstractLineTracker.DelimiterInfo, AbstractLineTracker.Request`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurableLineTracker(String[] legalLineDelimiters)`
Creates a standard line tracker for the given line delimiters.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getLegalLineDelimiters()`
Returns the strings this tracker considers as legal line delimiters.
`protected AbstractLineTracker.DelimiterInfo`
`nextDelimiterInfo(String text, int offset)`
Returns the information about the first delimiter found in the given text starting at the given offset.

### Methods inherited from class org.eclipse.jface.text.AbstractLineTracker

`checkRewriteSession, computeNumberOfLines, flushRewriteSession, getLineDelimiter, getLineInformation, getLineInformationOfOffset, getLineLength, getLineNumberOfOffset, getLineOffset, getNumberOfLines, getNumberOfLines, hasActiveRewriteSession, replace, set, startRewriteSession, stopRewriteSession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurableLineTracker

public ConfigurableLineTracker(String[] legalLineDelimiters)
Creates a standard line tracker for the given line delimiters.

Parameters:
  `legalLineDelimiters` - the tracker's legal line delimiters, may not be `null` and must be longer than 0

## Method Details

### getLegalLineDelimiters

public String[] getLegalLineDelimiters()
Description copied from interface: `ILineTracker`
Returns the strings this tracker considers as legal line delimiters.

Returns:
  the legal line delimiters

### nextDelimiterInfo

protected AbstractLineTracker.DelimiterInfo nextDelimiterInfo(String text, int offset)
Description copied from class: `AbstractLineTracker`
Returns the information about the first delimiter found in the given text starting at the given offset.

Specified by:
  `nextDelimiterInfo` in class `AbstractLineTracker`
Parameters:
  `text` - the text to be searched
  `offset` - the offset in the given text
Returns:
  the information of the first found delimiter or `null`